%define name	magicpoint
%define version	1.08a
%define release	3bernhard
%define serial	1
%define prefix	/usr/X11R6

Summary:	X based presentation software.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	BSD style
Group:		Applications/Productivity
URL:		http://www.mew.org/mgp/
Source:		magicpoint-%{version}.tar.gz
Patch0: 	magicpoint-1.08a-imagetypecheck.patch
Patch1:		magicpoint-1.08a-image-creating-failure.patch
Patch2: 	magicpoint-1.08a-use-convert-for-png.patch
Patch3: 	magicpoint-1.08a-re-read.patch
BuildRoot:	/var/tmp/magicpoint-%{version}-root
Obsoletes:	mgp, magicpoint

%description
MagicPoint is an X11 based presentation tool.  MagicPoint's
presentation files (typically .mgp files) are plain text so you can
create presentation files quickly with your favorite editor.

%prep
%setup -q -n magicpoint-%{version}
%patch -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --enable-gif --enable-locale --disable-vflib --prefix=%{prefix}
xmkmf -a
CFLAGS="$RPM_OPT_FLAGS" \
make

%install
rm -rf $RPM_BUILD_ROOT
make install install.man DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README SYNTAX USAGE 
%doc sample
%{prefix}/bin/mgp
%{prefix}/bin/mgp2ps
%{prefix}/bin/mgpembed
%{prefix}/bin/mgpnet
%{prefix}/bin/xwintoppm
%{prefix}/lib/X11/mgp/default.mgp
%{prefix}/lib/X11/mgp/mgp1.jpg
%{prefix}/lib/X11/mgp/mgp2.jpg
%{prefix}/lib/X11/mgp/mgp3.jpg
%dir %{prefix}/lib/X11/mgp
%{prefix}/man/man1/mgp.1x.gz
%{prefix}/man/man1/mgp2ps.1x.gz
%{prefix}/man/man1/mgpembed.1x.gz
%{prefix}/man/man1/mgpnet.1x.gz
%{prefix}/man/man1/xwintoppm.1x.gz

%changelog
* Mon Dec 31 2001 Bernhard Reiter <bernhard@intevation.de>
- enabled locale
- disabled vflib
- fixed a minor  (two patches)
- dirty hack to use "convert" instead of pnmtopng or pngtopnm (one patch)
- added fix by Allessandro Rubini so that re-reading the file
	works better

* Mon Jul  9 2001 Carlos Puchol <cpg@puchol.com>
- modified spec for new rpm 4.0 format

* Thu Nov 18 1999 Carlos Puchol <cpg@puchol.com>
- added CFLAGS compilation to pick up from rpm configs
- cleaned up spec file

* Mon Jul 19 1999 Tim Powers <timp@redhat.com>
- updated source to 1.05a 
- built for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Fri Oct 08 1998 Michael Maher <mike@redhat.com> 
- updated source to 1.04a
- built for 5.2

* Fri May 22 1998 Cristian Gafton <gafton@redhat.com>
- built for PowerTools
